package xyz.etztech.serverapi;


import org.bukkit.plugin.java.JavaPlugin;
import xyz.etztech.serverapi.commands.MainCommand;

import java.util.logging.Logger;

public class ServerAPI extends JavaPlugin {

    private static ServerAPI instance;
    private final Logger log = Logger.getLogger( "Minecraft" );

    public void onEnable() {
        instance = this;
        saveDefaultConfig();
        reloadConfig();

        if (isEnabled()) {
            new MainCommand(this);
        }
    }

    public void log(String message) {
        log.info( "[ServerAPI]: " + message );
    }

    public static ServerAPI getInstance() {
        return instance;
    }
}

